## proll 18

=== Makefile ===
all:
	make -C mrcoffee all
	make -C krups    all
	make -C krups-ser    all
	make -C espresso     all
	make -C espresso-ser all

clean:
	make -C mrcoffee clean
	make -C krups    clean
	make -C krups-ser    clean
	make -C espresso     clean
	make -C espresso-ser clean
