=== debian/changelog ===
proll (18-6) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.
  * Cleanup patches:
    - Rename 001_qemu.patch to qemu-rom.patch.
    - Remove switch from bzero to memset in 002_gcc34.patch.
    - Split 002_gcc34.patch into asm-syntax.patch, bzero-bcopy.patch and
      memset-fix-args.patch.
    - Rename 003_sparcv9.patch to disable-sparcv9.patch.
  * Do not build QEMU image for -mcpu=hypersparc, it causes assembler errors
    due to disabled div32 and mul32 hardware capabilities.
  * Build QEMU image with -Os to make the code fit into the .text section.
  * Build ROM images with -ffreestanding to avoid the compiler getting funny
    ideas on what built-in functions it can emit automatically as part of
    the optimization process.

 -- Guillem Jover <guillem@debian.org>  Mon, 06 Feb 2012 15:53:56 +0100

proll (18-5) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Remove leading ‘./’ from lintian overrides.
  * Rename build target to build-indep, install to install-indep, and add
    an empty build-arch target.
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.
  * Disable Sparc V9 specific unbuildable code.
  * Add ${misc:Depends} to Depends field.

 -- Guillem Jover <guillem@debian.org>  Wed, 08 Jun 2011 04:35:59 +0200

proll (18-4) unstable; urgency=low

  * Update packaging Vcs fields to the new URL.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Add missing copyright symbols in debian/copyright.
  * Refer to GPL-2 from common-licenses instead of just GPL.
  * Refresh patches with -pab.
  * Add lintian overrides for arch-dependent-file-in-usr-share.
  * Switch to use dh_lintian instead of manually installing the overrides.
    Bump the versioned debhelper Build-Depends to 6.0.7.

 -- Guillem Jover <guillem@debian.org>  Sat, 28 Jun 2008 22:35:41 +0300

proll (18-3) unstable; urgency=low

  * Give an error when not using a sparc-linux-gnu toolchain.
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Add Homepage field.
  * Add Vcs-Browser and Vcs-Git fields.
  * Switch to quilt:
    - Remove now unused debian/patch.mk.
    - Replace include of patch.mk with quilt.make in debian/rules.
    - Add Build-Depends on 'quilt (>= 0.40)'.
    - Add debian/patches/series.
  * Do not ignore make errors on 'debian/rules clean'.
  * Support cross-compiling by passing a cross prefix to make when not
    building natively.

 -- Guillem Jover <guillem@debian.org>  Thu, 13 Dec 2007 07:35:11 +0200

proll (18-2) unstable; urgency=low

  * Fix watch file.
  * Now using Standards-Version 3.7.0 (no changes needed).
  * Switch to debhelper compatibility level 5.
  * Added an override file.
  * Update FSF's address.
  * Remove unneeded commented lines in debian/rules.
  * Clean up debian/patch.mk:
    - Rename clean to unpatch.
    - Switch patch and unpatch to single-colon targets.
    - Add patch, unpatch, apply-patches and reverse-patches to the PHONY
      targets.
  * Remove uneeded debian/dirs file.
  * Move debhelper from Build-Depends-Indep to Build-Depends as it is run in
    the clean target.

 -- Guillem Jover <guillem@debian.org>  Thu, 04 May 2006 00:59:36 +0300

proll (18-1) unstable; urgency=low

  * Initial Release. (Closes: #303489)

 -- Guillem Jover <guillem@debian.org>  Mon, 16 May 2005 02:55:30 +0300
