=== debian/control ===
Source: proll
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7)
Build-Depends-Indep: sparc-utils
Homepage: http://people.redhat.com/zaitcev/linux/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/proll.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/proll.git
Standards-Version: 3.9.2

Package: proll
Architecture: all
Depends: ${misc:Depends}
Description: JavaStation PROM 2.x compatible replacement
 Proll is a 2.x PROM compatible replacement for JavaStations, that can
 be used on emulators such as Qemu or to make possible to boot Linux, as
 later 3.x series of the PROMs are unable to boot it.
 .
 JavaStations came with two different PROMs installed in them. Version 2.30
 shipped with the earliest Mr. Coffee models, that was updated by latter
 versions of the Sun Netra J software environment to 3.11. Krups and
 Espresso came with 3.x versions of the PROM by default.
