=== debian/watch ===
version=3
http://people.redhat.com/zaitcev/linux/ proll_(.*)\.tar\.gz
